
pro resize_object, obj, dim_obj, out_array_dim, out_pix_size, resized_obj


              dim = size(obj)
              nb_pix_ob = dim[1]
              dim_im = fix((out_pix_size * out_array_dim / dim_obj) * nb_pix_ob)
						; in pixels in the original array
              if dim_im le nb_pix_ob then begin

                    temp	= obj[nb_pix_ob/2-dim_im/2:nb_pix_ob/2+dim_im/2-1,      $
                                      nb_pix_ob/2-dim_im/2:nb_pix_ob/2+dim_im/2-1]
              endif else begin

                    temp = fltarr(dim_im, dim_im)
                    temp[dim_im/2-nb_pix_ob/2:dim_im/2+nb_pix_ob/2-1, $
                         dim_im/2-nb_pix_ob/2:dim_im/2+nb_pix_ob/2-1] = obj
              endelse

              resized_obj = congrid(temp, out_array_dim, out_array_dim)

return
end
