pro pex_circle, xcen, ycen, radius, x, y
;procedure to draw a circle, given (xcen,ycen) and radius
if N_PARAMS() NE 5 then begin
   print, 'WRONG NUMBER OF PARAMETERS in PRO CIRCLE!'
   print, 'use: CIRCLE, XCEN, YCEN, RADIUS, X, Y'
   return
endif
points = (2 * !PI / 99.0) * FINDGEN(100)
x = xcen + radius * COS(points )
y = ycen + radius * SIN(points )
return
end
