pro pex_psf_extrapolation_find_beta,psf,N,M,choice,par,image_out,f_beta,j, background

on_error,2
err=par.moffat_tol
beta1=par.moffat_beta1
beta2=par.moffat_beta2
par.moffat_beta=beta1
pex_psf_extrapolation, psf,N,M, choice, par, image_out, f_beta,j,background
f0=f_beta
par.moffat_beta=beta2
pex_psf_extrapolation, psf,N,M, choice, par, image_out, f_beta,j,background
f1=f_beta

if f0*f1 GT 0 then begin
   print, 'error values = ', f0,f1
   message, 'automatic process failed... '+$
       'Please, execute PEX either with a fixed value of beta '+$
       '(Moffat power law index) or with different extreme values of the '+$
       'automatic procedure for searching beta.'
endif   
icounter=0
while (abs(f_beta) GT err ) AND (icounter LE 50) do begin
   print, 'beta, f_beta', par.moffat_beta, f_beta
   par.moffat_beta=(beta1+beta2)/2.
   pex_psf_extrapolation, psf,N,M, choice, par, image_out, f_beta,j,background
   if f0*f_beta LE 0 then beta2=par.moffat_beta else beta1=par.moffat_beta
   icounter++
endwhile
if icounter GE 50 then begin
  message, 'Warning: max number of iterations (50) reached before'+$
           ' ending the algorithm. Either fix the parameters and retry the'+$
           ' procedure (suggested) or continue with this value.', /INFO
endif
end
