;+
;main procedure: dec_find_sigma_opt
;-

function funct_sigma, alpha, sigma
  
  N=(size(alpha))[1]
  s=(N/20 > 1) < N/2 - 1 ; width in pixels (consider a sub-frame inside to alpha, min 1 px)
  alpha1=alpha[s:N-1-s,s:N-1-s]
  index  = where ((alpha > sigma) EQ sigma, count)
  index1 = where ((alpha1 > sigma) EQ sigma, count1)
  return, fix(count,type=4) - fix(count1,type=4) - (2.*s*(N+N)-4.*s^2)
end




pro dec_find_sigma_opt, alpha, s, s1, s2, tol
  
  on_error, 2
  
  s=(s2+s1)/2. 
  if abs(s2-s1)/s2 LE tol then return else begin
     if funct_sigma(alpha,s) LT 0. then begin
        s3=s
        s4=s2
        dec_find_sigma_opt, alpha, s, s3, s4, tol
     endif else begin
        s3=s1
        s4=s
        dec_find_sigma_opt, alpha, s, s3, s4, tol
     endelse
  endelse
end
