;****************************************************************************
;pro PEX_APPEND
; append an element (new star selected [x,y]) into X(Y)SAVE array.
pro pex_append, state, x, y

if state.par.nb_click[state.par.inumber] GE 50 then begin
   res = dialog_message("You have reached the max number of selectable stars.", /INFO)
   return
endif

rho=(state.par.p_xsave[*,state.par.inumber]-x)^2.+$
    (state.par.p_ysave[*,state.par.inumber]-y)^2.
index=where(rho LE 4., count)
if count EQ 0 then begin
   state.par.p_xsave[state.par.nb_click[state.par.inumber],state.par.inumber]=x
   state.par.p_ysave[state.par.nb_click[state.par.inumber],state.par.inumber]=y
   state.par.nb_click[state.par.inumber]++
endif
;do nothing if click is near to another star 
; (inside a circle of 2 pixels of radius)

end
