;pro pex_remove
; remove an element (new star DEselected [x,y]) from X(Y)SAVE array.
;****************************************************************************

pro pex_remove, state, x, y

rho=(state.par.p_xsave[*,state.par.inumber]-x)^2.+$
    (state.par.p_ysave[*,state.par.inumber]-y)^2.
index=min(where(rho LE 4., count)) ;inside a circle of 2 pixels of radius
if count EQ 1 then begin
      dummy=state.par.p_xsave[index:*,state.par.inumber]
      dummy[0]=-1.      
      dummy=SHIFT(dummy, -1)
      state.par.p_xsave[index:*,state.par.inumber]=dummy
      
      dummy=state.par.p_ysave[index:*,state.par.inumber]
      dummy[0]=-1.
      dummy=SHIFT(dummy, -1)
      state.par.p_ysave[index:*,state.par.inumber]=dummy
      
      state.par.nb_click[state.par.inumber]--
endif

;otherwise there aren't stars with those [x,y] coords....  
end


