pro photcent, in, nb_pix, tresh, line, ph_cent_x, ph_cent_y

dummy = moment(in[0:nb_pix-1, 0:line-1])           
back  = dummy[0]


;********* Photocenter centering ************************************************

sum=0.
for i=0, nb_pix-1 do begin
    for j=0, nb_pix-1 do begin
        if in[i,j] gt tresh*back  $
          then begin
            sum = sum + in[i,j]
        endif
    endfor
endfor

;print, ' max       =', max(in)
;print, ' Treshold  =', tresh*back

ph_cent_x=0.
ph_cent_y=0.
for i=0, nb_pix-1 do begin
    for j=0, nb_pix-1 do begin
        if in[i,j] gt tresh*back  $
          then begin
            ph_cent_x = ph_cent_x + i*in[i,j]/sum
            ph_cent_y = ph_cent_y + j*in[i,j]/sum
        endif
    endfor
endfor


return
end
